<?php

namespace App\Exports;

use App\Models\Billing;
use Carbon\Carbon;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Illuminate\Support\Facades\Schema;

class BillingExport implements FromCollection, WithHeadings
{
    protected $received_date;

    public function __construct($received_date)
    {
        $this->received_date = $received_date;
    }
    /**
    * @return \Illuminate\Support\Collection
    */
    public function collection()
    {
        $billing = Billing::query();
        if (!empty($this->received_date)) {
            $dates = explode('-', $this->received_date);
            $billing = $billing->whereDate('received_date', '>=', Carbon::parse($dates[0]));
        }
        return $billing->get();
    }
    
    /**
     * Write code on Method
     *
     * @return response()
     */
    public function headings(): array
    {
        return Schema::getColumnListing((new Billing())->getTable());
    }
}
