<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Support\Facades\DB;
use Request;

class UserGroup extends Model
{
    use HasFactory, SoftDeletes;

    static public function getAllGroups()
    {
        $records = self::orderBy('id', 'desc');
        return $records;
    }

    static public function getGroupedUsers()
    {
        $records = Billing::select('billings.*')
        ->join(DB::raw('(SELECT MIN(id) as id FROM billings GROUP BY guarantor_name) as subquery'), 'billings.id', '=', 'subquery.id')
        ->get();
    
        return $records;
    }

    public function usergroups()
    {
        return $this->hasMany(UserHasGroup::class, 'group_id', 'id');
    }
}
