<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('billings', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('sno')->nullable();
            $table->bigInteger('user_id')->nullable();
            $table->date('received_date')->nullable();
            $table->string('hf_id')->nullable();
            $table->string('guarantor_account')->nullable();
            $table->string('guarantor_name')->nullable();
            $table->string('guarantor_address_line1')->nullable();
            $table->string('guarantor_address_line2')->nullable();
            $table->string('guarantor_address_line3')->nullable();
            $table->string('guarantor_city')->nullable();
            $table->string('guarantor_state')->nullable();
            $table->string('guarantor_zip')->nullable();
            $table->string('mrn')->nullable();
            $table->string('patient_name')->nullable();
            $table->date('date_of_birth')->nullable();
            $table->string('department')->nullable();
            $table->string('pos')->nullable();
            $table->string('pos_type')->nullable();
            $table->string('service_provider')->nullable();
            $table->string('billing_provider')->nullable();
            $table->date('date_of_service')->nullable();
            $table->string('diagnosis_codes')->nullable();
            $table->string('procedure_code')->nullable();
            $table->string('procedure_name')->nullable();
            $table->decimal('rvu')->nullable();
            $table->decimal('charge_amount')->nullable();
            $table->integer('procedure_qty')->nullable();
            $table->string('modifiers')->nullable();
            $table->string('payer_name')->nullable();
            $table->string('plan_name')->nullable();
            $table->string('subscriber_number')->nullable();
            $table->string('subscriber_name')->nullable();
            $table->date('subscriber_dob')->nullable();
            $table->string('subscriber_ssn')->nullable();
            $table->string('group_number')->nullable();
            $table->string('coverage_address')->nullable();
            $table->string('coverage_city')->nullable();
            $table->string('coverage_state')->nullable();
            $table->string('coverage_zip')->nullable();
            $table->string('coverage_phone1')->nullable();
            $table->string('coverage_phone2')->nullable();
            $table->date('submission_date')->nullable();
            $table->string('claim_status')->nullable();
            $table->date('primary_received_date')->nullable();
            $table->decimal('primary_amount')->nullable();
            $table->string('primary_payment_no')->nullable();
            $table->date('primary_ins_payment_date')->nullable();
            $table->date('primary_ins_payment_cleared')->nullable();
            $table->string('primary_payment_type')->nullable();
            $table->string('ar_days')->nullable();
            $table->date('secondary_ins_received_date')->nullable();
            $table->decimal('secondary_amount')->nullable();
            $table->string('secondary_payment_no')->nullable();
            $table->date('secondary_payment_date')->nullable();
            $table->date('secondary_payment_cleared')->nullable();
            $table->string('secondary_payment_type')->nullable();
            $table->decimal('selfpay_amount')->nullable();
            $table->string('selfpay_payment_no')->nullable();
            $table->date('selfpay_payment_date')->nullable();
            $table->string('selfpay_payment_type')->nullable();
            $table->string('claim_comments')->nullable();

            $table->string('rendering_provider')->nullable();
            $table->string('location_name')->nullable();
            $table->string('responsible_payer')->nullable();
            $table->decimal('adjustment')->nullable();
            $table->decimal('patient_responsibility')->nullable();
            $table->decimal('write_off')->nullable();
            $table->decimal('total_payment')->nullable();
            $table->decimal('over_payment')->nullable();
            $table->decimal('insurance_balance')->nullable();
            $table->decimal('patient_balance')->nullable();
            $table->decimal('total_balance')->nullable();
            $table->string('ar_aging_by_created_date')->nullable();
            $table->string('ar_type')->nullable();
            $table->integer('primary_claim_id')->nullable();
            $table->integer('secondary_claim_id')->nullable();
            $table->string('status')->nullable();
            $table->string('rvu_status')->nullable();
            $table->string('deleted_at')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('billings');
    }
};
