<?php $__env->startSection('_styles'); ?>
<link rel="stylesheet" href="https://cdn.datatables.net/2.0.8/css/dataTables.dataTables.min.css">
<style>
    .dropdown {
        position: relative;
        display: inline-block;
    }

    .dropdown-button {
        padding: 10px;
        border: 1px solid #ccc;
        cursor: pointer;
    }

    .dropdown-content {
        display: none;
        position: absolute;
        background-color: #f9f9f9;
        min-width: 300px;
        max-height: 220px;
        /* Adjust height as needed */
        overflow-y: auto;
        box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
        z-index: 1;
        padding: 12px 16px;
    }

    .dropdown-content label {
        display: block;
        padding: 8px 0;
    }

    .dropdown.open .dropdown-content {
        display: block;
    }

    #loader {
        display: none;
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        width: 100%;
        background: rgba(0,0,0,0.75) url("<?php echo e(asset('assets/img/icons/loader.gif')); ?>") no-repeat center center;
        z-index: 99999;
    }
</style>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

<div class="container-fluid flex-grow-1 container-p-y">
    <?php echo $__env->make('_messages', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <div id='loader'></div>
    <div class="row">
        <div class="col-12 d-flex justify-content-between">
            <div class="breadcrumb-list">
                <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-light">Billings /</span> List</h4>
            </div>
            <div class="butns">
                <form action="<?php echo e(url('admin/billings/export')); ?>" method="POST" id="export-excel-form">
                    <?php echo csrf_field(); ?>
                    <a href="#" data-bs-target="#importExcelFile" data-bs-toggle="modal" class="btn btn-primary">Import</a>
                    <input type="submit" class="btn btn-primary" id="export-excel" value="Export">
                    <!-- <a href="#" class="btn btn-danger">Trashed</a> -->
                </form>
            </div>
        </div>
    </div>
    <!-- Responsive Table -->
    <div class="card">
        <div class="card-header">
            <div class="row">
                <!-- Received Date -->
                <div class="col-lg-3 col-md-3 col-12 mb-3">
                    <div class="form-group">
                        <label for="received_date">Received Date</label>
                        <input type="text" placeholder="Select Date" class="form-control date_range_picker" id="received_date" name="received_date">
                    </div>
                </div>

                <!-- Selfpay Payment Date -->
                <div class="col-lg-3 col-md-3 col-12 mb-3">
                    <div class="form-group">
                        <label for="created_at">Created Date</label>
                        <input type="text" placeholder="Select Date" class="form-control date_range_picker" id="created_at" name="created_at">
                    </div>
                </div>

                <!-- Selfpay Payment Date -->
                <div class="col-lg-3 col-md-3 col-12 mb-3">
                    <div class="form-group">
                        <label for="claim_status">Claim Status</label>
                        <select name="claim_status" id="claim_status" class="form-control">
                            <option value="" selected>All</option>
                            <option value="paid">Paid</option>
                            <option value="rebilled">Rebilled</option>
                            <option value="in_process">In Process</option>
                            <option value="info_required">Info Required</option>
                            <option value="patient_responsibility">Patient Responsibility</option>
                            <option value="partially_paid">Partially Paid</option>
                            <option value="dropped">Dropped</option>
                            <option value="duplicate">Duplicate</option>
                            <option value="denied">Denied</option>
                        </select>
                    </div>
                </div>

            </div>
        </div>
        <div class="card-body">
            <div class="dropdown">
                <div class="dropdown-button">Show/Hide Columns</div>
                <div class="dropdown-content">
                <label><input type="checkbox" class="toggle-vis" data-column="0" checked> #</label>
                <label><input type="checkbox" class="toggle-vis" data-column="1" checked> SNo</label>
                <label><input type="checkbox" class="toggle-vis" data-column="2" checked> Received Date</label>
                <label><input type="checkbox" class="toggle-vis" data-column="3" checked> HF ID</label>
                <label><input type="checkbox" class="toggle-vis" data-column="4" checked> Guarantor Account</label>
                <label><input type="checkbox" class="toggle-vis" data-column="5" checked> Guarantor Name</label>
                <label><input type="checkbox" class="toggle-vis" data-column="6" checked> Guarantor Address Line 1</label>
                <label><input type="checkbox" class="toggle-vis" data-column="7" checked> Guarantor Address Line 2</label>
                <label><input type="checkbox" class="toggle-vis" data-column="8" checked> Guarantor Address Line 3</label>
                <label><input type="checkbox" class="toggle-vis" data-column="9" checked> Guarantor City</label>
                <label><input type="checkbox" class="toggle-vis" data-column="10" checked> Guarantor State</label>
                <label><input type="checkbox" class="toggle-vis" data-column="11" checked> Guarantor Zip</label>
                <label><input type="checkbox" class="toggle-vis" data-column="12" checked> MRN</label>
                <label><input type="checkbox" class="toggle-vis" data-column="13" checked> Patient Name</label>
                <label><input type="checkbox" class="toggle-vis" data-column="14" checked> Date of Birth</label>
                <label><input type="checkbox" class="toggle-vis" data-column="15" checked> Department</label>
                <label><input type="checkbox" class="toggle-vis" data-column="16" checked> POS</label>
                <label><input type="checkbox" class="toggle-vis" data-column="17" checked> POS Type</label>
                <label><input type="checkbox" class="toggle-vis" data-column="18" checked> Service Provider</label>
                <label><input type="checkbox" class="toggle-vis" data-column="19" checked> Billing Provider</label>
                <label><input type="checkbox" class="toggle-vis" data-column="20" checked> Date of Service</label>
                <label><input type="checkbox" class="toggle-vis" data-column="21" checked> Diagnosis Codes</label>
                <label><input type="checkbox" class="toggle-vis" data-column="22" checked> Procedure Code</label>
                <label><input type="checkbox" class="toggle-vis" data-column="23" checked> Procedure Name</label>
                <label><input type="checkbox" class="toggle-vis" data-column="24" checked> RVU</label>
                <label><input type="checkbox" class="toggle-vis" data-column="25" checked> Charge Amount</label>
                <label><input type="checkbox" class="toggle-vis" data-column="26" checked> Procedure Qty</label>
                <label><input type="checkbox" class="toggle-vis" data-column="27" checked> Modifiers</label>
                <label><input type="checkbox" class="toggle-vis" data-column="28" checked> Payer Name</label>
                <label><input type="checkbox" class="toggle-vis" data-column="29" checked> Plan Name</label>
                <label><input type="checkbox" class="toggle-vis" data-column="30" checked> Subscriber Number</label>
                <label><input type="checkbox" class="toggle-vis" data-column="31" checked> Subscriber Name</label>
                <label><input type="checkbox" class="toggle-vis" data-column="32" checked> Subscriber DOB</label>
                <label><input type="checkbox" class="toggle-vis" data-column="33" checked> Subscriber SSN</label>
                <label><input type="checkbox" class="toggle-vis" data-column="34" checked> Group Number</label>
                <label><input type="checkbox" class="toggle-vis" data-column="35" checked> Coverage Address</label>
                <label><input type="checkbox" class="toggle-vis" data-column="36" checked> Coverage City</label>
                <label><input type="checkbox" class="toggle-vis" data-column="37" checked> Coverage State</label>
                <label><input type="checkbox" class="toggle-vis" data-column="38" checked> Coverage Zip</label>
                <label><input type="checkbox" class="toggle-vis" data-column="39" checked> Coverage Phone 1</label>
                <label><input type="checkbox" class="toggle-vis" data-column="40" checked> Coverage Phone 2</label>
                <label><input type="checkbox" class="toggle-vis" data-column="41" checked> Submission Date</label>
                <label><input type="checkbox" class="toggle-vis" data-column="42" checked> Claim Status</label>
                <label><input type="checkbox" class="toggle-vis" data-column="43" checked> Primary Received Date</label>
                <label><input type="checkbox" class="toggle-vis" data-column="44" checked> Primary Amount</label>
                <label><input type="checkbox" class="toggle-vis" data-column="45" checked> Primary Payment No</label>
                <label><input type="checkbox" class="toggle-vis" data-column="46" checked> Primary Ins Payment Date</label>
                <label><input type="checkbox" class="toggle-vis" data-column="47" checked> Primary Ins Payment Cleared</label>
                <label><input type="checkbox" class="toggle-vis" data-column="48" checked> Primary Payment Type</label>
                <label><input type="checkbox" class="toggle-vis" data-column="49" checked> AR Days</label>
                <label><input type="checkbox" class="toggle-vis" data-column="50" checked> Secondary Ins Received Date</label>
                <label><input type="checkbox" class="toggle-vis" data-column="51" checked> Secondary Amount</label>
                <label><input type="checkbox" class="toggle-vis" data-column="52" checked> Secondary Payment No</label>
                <label><input type="checkbox" class="toggle-vis" data-column="53" checked> Secondary Payment Date</label>
                <label><input type="checkbox" class="toggle-vis" data-column="54" checked> Secondary Payment Cleared</label>
                <label><input type="checkbox" class="toggle-vis" data-column="55" checked> Secondary Payment Type</label>
                <label><input type="checkbox" class="toggle-vis" data-column="56" checked> Selfpay Amount</label>
                <label><input type="checkbox" class="toggle-vis" data-column="57" checked> Selfpay Payment No</label>
                <label><input type="checkbox" class="toggle-vis" data-column="58" checked> Selfpay Payment Date</label>
                <label><input type="checkbox" class="toggle-vis" data-column="59" checked> Selfpay Payment Type</label>
                <label><input type="checkbox" class="toggle-vis" data-column="60" checked> Claim Comments</label>
                <label><input type="checkbox" class="toggle-vis" data-column="61" checked> Rendering Provider</label>
                <label><input type="checkbox" class="toggle-vis" data-column="62" checked> Location Name</label>
                <label><input type="checkbox" class="toggle-vis" data-column="63" checked> Responsible Payer</label>
                <label><input type="checkbox" class="toggle-vis" data-column="64" checked> Adjustment</label>
                <label><input type="checkbox" class="toggle-vis" data-column="65" checked> Patient Responsibility</label>
                <label><input type="checkbox" class="toggle-vis" data-column="66" checked> Write Off</label>
                <label><input type="checkbox" class="toggle-vis" data-column="67" checked> Total Payment</label>
                <label><input type="checkbox" class="toggle-vis" data-column="68" checked> Over Payment</label>
                <label><input type="checkbox" class="toggle-vis" data-column="69" checked> Insurance Balance</label>
                <label><input type="checkbox" class="toggle-vis" data-column="70" checked> Patient Balance</label>
                <label><input type="checkbox" class="toggle-vis" data-column="71" checked> Total Balance</label>
                <label><input type="checkbox" class="toggle-vis" data-column="72" checked> AR Aging by Created Date</label>
                <label><input type="checkbox" class="toggle-vis" data-column="73" checked> AR Type</label>
                <label><input type="checkbox" class="toggle-vis" data-column="74" checked> Primary Claim ID</label>
                <label><input type="checkbox" class="toggle-vis" data-column="75" checked> Secondary Claim ID</label>
                <label><input type="checkbox" class="toggle-vis" data-column="76" checked> Status</label>
                <label><input type="checkbox" class="toggle-vis" data-column="77" checked> RVU Status</label>
                </div>
            </div>
            <div class="table-responsive text-nowrap">
                <table class="table data-table display responsive nowrap row-border order-column" width="100%">
                    <thead>
                        <tr class="text-nowrap">
                            <th>#</th>
                            <th>SNo</th>
                            <th>Received Date</th>
                            <th>HF ID</th>
                            <th>Guarantor Account</th>
                            <th>Guarantor Name</th>
                            <th>Guarantor Address Line 1</th>
                            <th>Guarantor Address Line 2</th>
                            <th>Guarantor Address Line 3</th>
                            <th>Guarantor City</th>
                            <th>Guarantor State</th>
                            <th>Guarantor Zip</th>
                            <th>MRN</th>
                            <th>Patient Name</th>
                            <th>Date of Birth</th>
                            <th>Department</th>
                            <th>POS</th>
                            <th>POS Type</th>
                            <th>Service Provider</th>
                            <th>Billing Provider</th>
                            <th>Date of Service</th>
                            <th>Diagnosis Codes</th>
                            <th>Procedure Code</th>
                            <th>Procedure Name</th>
                            <th>RVU</th>
                            <th>Charge Amount</th>
                            <th>Procedure Qty</th>
                            <th>Modifiers</th>
                            <th>Payer Name</th>
                            <th>Plan Name</th>
                            <th>Subscriber Number</th>
                            <th>Subscriber Name</th>
                            <th>Subscriber DOB</th>
                            <th>Subscriber SSN</th>
                            <th>Group Number</th>
                            <th>Coverage Address</th>
                            <th>Coverage City</th>
                            <th>Coverage State</th>
                            <th>Coverage Zip</th>
                            <th>Coverage Phone 1</th>
                            <th>Coverage Phone 2</th>
                            <th>Submission Date</th>
                            <th class="text-center">Claim Status</th>
                            <th>Primary Received Date</th>
                            <th>Primary Amount</th>
                            <th>Primary Payment No</th>
                            <th>Primary Ins Payment Date</th>
                            <th>Primary Ins Payment Cleared</th>
                            <th>Primary Payment Type</th>
                            <th>AR Days</th>
                            <th>Secondary Ins Received Date</th>
                            <th>Secondary Amount</th>
                            <th>Secondary Payment No</th>
                            <th>Secondary Payment Date</th>
                            <th>Secondary Payment Cleared</th>
                            <th>Secondary Payment Type</th>
                            <th>Selfpay Amount</th>
                            <th>Selfpay Payment No</th>
                            <th>Selfpay Payment Date</th>
                            <th>Selfpay Payment Type</th>
                            <th>Claim Comments</th>
                            <th>Rendering Provider</th>
                            <th>Location Name</th>
                            <th>Responsible Payer</th>
                            <th>Adjustment</th>
                            <th>Patient Responsibility</th>
                            <th>Write Off</th>
                            <th>Total Payment</th>
                            <th>Over Payment</th>
                            <th>Insurance Balance</th>
                            <th>Patient Balance</th>
                            <th>Total Balance</th>
                            <th>AR Aging by Created Date</th>
                            <th>AR Type</th>
                            <th>Primary Claim ID</th>
                            <th>Secondary Claim ID</th>
                            <th>Status</th>
                            <th>RVU Status</th>
                            <th>Actions</th>
                        </tr>
                    </thead>
                    <tbody>

                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <!--/ Responsive Table -->
    <!-- Modal -->
    <div class="modal fade" id="importExcelFile" tabindex="-1" role="dialog" aria-labelledby="importExcelFileTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <form action="<?php echo e(url('admin/billings/import')); ?>" method="POST" enctype="multipart/form-data" id="import-form">
                <?php echo csrf_field(); ?>
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="importExcelFileTitle">Modal title</h5>
                        <button type="button" class="close btn btn-danger" data-bs-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <label for="">Select file</label>
                        <input type="file" name="file" class="form-control">
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-primary">Import</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('_scripts'); ?>
<script src="https://cdn.datatables.net/2.0.8/js/dataTables.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/feather-icons/dist/feather.min.js"></script>
<script>
    $(document).ready(function() {
        $(function() {
            $( "#import-form" ).submit(function() {
                $('#loader').show();
            });
        });
        var table = $('table').DataTable({
            processing: true,
            serverSide: true,
            scrollX: true,
            // stateSave: true,
            // stateLoadCallback: function(settings) {
            //     var state = JSON.parse(localStorage.getItem('DataTables_' + settings.sInstance));
            //     if (state) {
            //         // Restore column visibility from saved state
            //         window._table.columns().every(function(index) {
            //             var colVisible = state.columns[index].visible;
            //             window._table.column(index).visible(colVisible, false);
            //         });
            //     }
            //     return state;
            // },
            // stateSaveCallback: function(settings, data) {
            //     // Save column visibility in state
            //     data.columns = window._table.columns().indexes().map(function(index) {
            //         return { visible: window._table.column(index).visible() };
            //     });
            //     localStorage.setItem('DataTables_' + settings.sInstance, JSON.stringify(data));
            // },
            fixedColumns: {
                start: 2
            },
            scrollCollapse: true,
            ajax: {
                url: "<?php echo e(url('admin/billings/get-data')); ?>",
                method: 'POST',
                data: function(d) {
                    d._token = "<?php echo e(csrf_token()); ?>";
                    d.received_date = $('#received_date').val();
                    d.claim_status = $('#claim_status').val();
                    d.created_at = $('#created_at').val();
                }
            },
            columns: [{
                    name: 'sr_no',
                    data: 'sr_no'
                },
                {
                    name: 'sno',
                    data: 'sno'
                },
                {
                    name: 'received_date',
                    data: 'received_date'
                },
                {
                    name: 'hf_id',
                    data: 'hf_id'
                },
                {
                    name: 'guarantor_account',
                    data: 'guarantor_account'
                },
                {
                    name: 'guarantor_name',
                    data: 'guarantor_name'
                },
                {
                    name: 'guarantor_address_line_1',
                    data: 'guarantor_address_line_1'
                },
                {
                    name: 'guarantor_address_line_2',
                    data: 'guarantor_address_line_2'
                },
                {
                    name: 'guarantor_address_line_3',
                    data: 'guarantor_address_line_3'
                },
                {
                    name: 'guarantor_city',
                    data: 'guarantor_city'
                },
                {
                    name: 'guarantor_state',
                    data: 'guarantor_state'
                },
                {
                    name: 'guarantor_zip',
                    data: 'guarantor_zip'
                },
                {
                    name: 'mrn',
                    data: 'mrn'
                },
                {
                    name: 'patient_name',
                    data: 'patient_name'
                },
                {
                    name: 'date_of_birth',
                    data: 'date_of_birth'
                },
                {
                    name: 'department',
                    data: 'department'
                },
                {
                    name: 'pos',
                    data: 'pos'
                },
                {
                    name: 'pos_type',
                    data: 'pos_type'
                },
                {
                    name: 'service_provider',
                    data: 'service_provider'
                },
                {
                    name: 'billing_provider',
                    data: 'billing_provider'
                },
                {
                    name: 'date_of_service',
                    data: 'date_of_service'
                },
                {
                    name: 'diagnosis_codes',
                    data: 'diagnosis_codes'
                },
                {
                    name: 'procedure_code',
                    data: 'procedure_code'
                },
                {
                    name: 'procedure_name',
                    data: 'procedure_name'
                },
                {
                    name: 'rvu',
                    data: 'rvu'
                },
                {
                    name: 'charge_amount',
                    data: 'charge_amount'
                },
                {
                    name: 'procedure_qty',
                    data: 'procedure_qty'
                },
                {
                    name: 'modifiers',
                    data: 'modifiers'
                },
                {
                    name: 'payer_name',
                    data: 'payer_name'
                },
                {
                    name: 'Plan Name',
                    data: 'plan_name'
                },
                {
                    name: 'subscriber_number',
                    data: 'subscriber_number'
                },
                {
                    name: 'subscriber_name',
                    data: 'subscriber_name'
                },
                {
                    name: 'subscriber_dob',
                    data: 'subscriber_dob'
                },
                {
                    name: 'subscriber_ssn',
                    data: 'subscriber_ssn'
                },
                {
                    name: 'group_number',
                    data: 'group_number'
                },
                {
                    name: 'coverage_address',
                    data: 'coverage_address'
                },
                {
                    name: 'coverage_city',
                    data: 'coverage_city'
                },
                {
                    name: 'coverage_state',
                    data: 'coverage_state'
                },
                {
                    name: 'coverage_zip',
                    data: 'coverage_zip'
                },
                {
                    name: 'coverage_phone1',
                    data: 'coverage_phone1'
                },
                {
                    name: 'coverage_phone2',
                    data: 'coverage_phone2'
                },
                {
                    name: 'submission_date',
                    data: 'submission_date'
                },
                {
                    name: 'claim_status',
                    data: 'claim_status'
                },
                {
                    name: 'primary_received_date',
                    data: 'primary_received_date'
                },
                {
                    name: 'primary_amount',
                    data: 'primary_amount'
                },
                {
                    name: 'primary_payment_no',
                    data: 'primary_payment_no'
                },
                {
                    name: 'primary_ins_payment_date',
                    data: 'primary_ins_payment_date'
                },
                {
                    name: 'primary_ins_payment_cleared',
                    data: 'primary_ins_payment_cleared'
                },
                {
                    name: 'primary_payment_type',
                    data: 'primary_payment_type'
                },
                {
                    name: 'ar_days',
                    data: 'ar_days'
                },
                {
                    name: 'secondary_ins_received_date',
                    data: 'secondary_ins_received_date'
                },
                {
                    name: 'secondary_amount',
                    data: 'secondary_amount'
                },
                {
                    name: 'secondary_payment_no',
                    data: 'secondary_payment_no'
                },
                {
                    name: 'secondary_payment_date',
                    data: 'secondary_payment_date'
                },
                {
                    name: 'secondary_payment_cleared',
                    data: 'secondary_payment_cleared'
                },
                {
                    name: 'secondary_payment_type',
                    data: 'secondary_payment_type'
                },
                {
                    name: 'selfpay_amount',
                    data: 'selfpay_amount'
                },
                {
                    name: 'selfpay_payment_no',
                    data: 'selfpay_payment_no'
                },
                {
                    name: 'selfpay_payment_date',
                    data: 'selfpay_payment_date'
                },
                {
                    name: 'selfpay_payment_type',
                    data: 'selfpay_payment_type'
                },
                {
                    name: 'claim_comments',
                    data: 'claim_comments'
                },
                {
                    name: 'rendering_provider',
                    data: 'rendering_provider'
                },
                {
                    name: 'location_name',
                    data: 'location_name'
                },
                {
                    name: 'responsible_payer',
                    data: 'responsible_payer'
                },
                {
                    name: 'adjustment',
                    data: 'adjustment'
                },
                {
                    name: 'patient_responsibility',
                    data: 'patient_responsibility'
                },
                {
                    name: 'write_off',
                    data: 'write_off'
                },
                {
                    name: 'total_payment',
                    data: 'total_payment'
                },
                {
                    name: 'over_payment',
                    data: 'over_payment'
                },
                {
                    name: 'insurance_balance',
                    data: 'insurance_balance'
                },
                {
                    name: 'patient_balance',
                    data: 'patient_balance'
                },
                {
                    name: 'total_balance',
                    data: 'total_balance'
                },
                {
                    name: 'ar_aging_by_created_date',
                    data: 'ar_aging_by_created_date'
                },
                {
                    name: 'ar_type',
                    data: 'ar_type'
                },
                {
                    name: 'primary_claim_id',
                    data: 'primary_claim_id'
                },
                {
                    name: 'secondary_claim_id',
                    data: 'secondary_claim_id'
                },
                {
                    name: 'status',
                    data: 'status'
                },
                {
                    name: 'rvu_status',
                    data: 'rvu_status'
                },
                {
                    className: 'text-center',
                    name: 'actions',
                    data: 'actions'
                },
            ],
            createdRow: function(row, data, dataIndex) {
                var index = dataIndex + 1; // Start from 1
                $('td', row).eq(0).text(index); // Update the first cell of the row
            }
        });

        window._table = table;

        // After initializing DataTables, call feather.replace()
        table.on('draw', function() {
            feather.replace();
        });

        $('#received_date, #claim_status, #created_at').on('change', function() {
            table.draw(false);
        });

        $(document).on('click', '#export-excel', function () {
            $(this).addClass('disabled');
        });

        setTimeout(() => {
            $('#export-excel').removeClass('disabled');
        }, 60000);
    });
</script>
<?php echo $__env->make('admin.billings._js', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layout.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\downloads\applications\installed\laragon\www\billsnap\resources\views/admin/billings/index.blade.php ENDPATH**/ ?>